---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: main
spec:
  selector:
    matchLabels:
      container: main
  template:
    metadata:
      labels:
        container: main
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - env:
        - name: APP_BITCOIN_NODE_IP
          value: gateway.bitcoin.admin.nirvati
        - name: APP_BITCOIN_RPC_PASS
          value: c9db9a84bd2551159331e379855298493fa2ae507a45da2f5c859f599bb018cd
        - name: APP_BITCOIN_RPC_PORT
          value: '8332'
        - name: APP_BITCOIN_RPC_USER
          value: woofbot-admin-main
        - name: APP_PASSWORD
          value: d161830b8049b7f50e57e2c4db34c0b5d13c5eb0f1d1c86949ce259af791b42b
        - name: APP_PORT
          value: '8080'
        - name: APP_SEED
          value: 3cdde5a1384b8fea290490582aa777dba6bfa9d3e1cdb5c4dd46405acea3c4fb
        - name: MONGODB_URI
          value: mongodb://mongodb.woofbot.admin.nirvati:27017/woofbot
        image: woofbot/woofbot:v0.9.8@sha256:483076f0f364291d569025639ab502dc19c9c61d38931402955482e53cc3d950
        name: main
        volumeMounts: []
      terminationGracePeriodSeconds: 60

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongodb
spec:
  selector:
    matchLabels:
      container: mongodb
  template:
    metadata:
      labels:
        container: mongodb
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - image: mongo:5.0.9@sha256:37e84d3dd30cdfb5472ec42b8a6b4dc6ca7cacd91ebcfa0410a54528bbc5fa6d
        name: mongodb
        volumeMounts:
        - mountPath: /data/db
          name: host-home-citadel-citadel-app-data-woofbot-data-db
      securityContext:
        fsGroup: 1000
        runAsGroup: 1000
        runAsUser: 1000
      terminationGracePeriodSeconds: 60
      volumes:
      - hostPath:
          path: /home/citadel/citadel/app-data/woofbot/data/db
        name: host-home-citadel-citadel-app-data-woofbot-data-db

